Type.registerNamespace("Telerik.Web.UI.Scheduler.Views.Timeline.GroupedByResource");
Telerik.Web.UI.Scheduler.Views.Timeline.GroupedByResource.Model=function(_1,_2){
this._owner=_1;
this._modelData=Sys.Serialization.JavaScriptSerializer.deserialize(_2);
this._rawModelData=_2;
this._timelineModels=[];
this._resources=[];
};
Telerik.Web.UI.Scheduler.Views.Timeline.GroupedByResource.Model.prototype={initialize:function(){
var _3=this._modelData.groupingResource;
var _4=this._owner.get_resources().getResourcesByType(_3);
for(var i=0;i<_4.get_count();i++){
this._timelineModels[i]=new Telerik.Web.UI.Scheduler.Views.Timeline.Model(this._owner,this._rawModelData);
this._resources[i]=_4[i];
}
},getTimeSlotFromDomElement:function(_6){
var _7=this._getRawIndexFromDomElement(_6);
var _8=this._getTimeFromDomElement(_6);
return new Telerik.Web.UI.Scheduler.Views.Timeline.GroupedByResource.TimeSlot(_7,_8);
},_getTimeFromDomElement:function(_9){
return this._timelineModels[0]._getTimeFromDomElement(_9);
},_getRawIndexFromDomElement:function(_a){
while(_a&&(_a.tagName.toUpperCase()!="TD")){
_a=_a.parentNode;
}
if(!_a){
return null;
}
var _b=_a;
while(!Sys.UI.DomElement.containsCssClass(_b,"rsTimelineTable")){
_b=_b.parentNode;
}
var _c=this._owner._modelTables;
var _d=this._owner._getElementIndex(_c,_b);
var _e=this._timelineModels[_d];
var _f=_e._getRawIndexFromDomElement(_a);
_f.modelIndex=_d;
return _f;
}};
Telerik.Web.UI.Scheduler.Views.Timeline.GroupedByResource.Model.registerClass("Telerik.Web.UI.Scheduler.Views.Timeline.GroupedByResource.Model",null,Telerik.Web.UI.ISchedulerModel);
Telerik.Web.UI.Scheduler.Views.Timeline.GroupedByResource.TimeSlot=function(_10,_11){
Telerik.Web.UI.Scheduler.Views.Timeline.GroupedByResource.TimeSlot.initializeBase(this,[_10,_11]);
};
Telerik.Web.UI.Scheduler.Views.Timeline.GroupedByResource.TimeSlot.prototype={get_index:function(){
var _12=this.get_rawIndex();
var _13=Telerik.Web.UI.Scheduler.Views.Timeline.GroupedByResource.TimeSlot.callBaseMethod(this,"get_index");
return String.format("{0}:{1}",_12.modelIndex,_13);
}};
Telerik.Web.UI.Scheduler.Views.Timeline.GroupedByResource.TimeSlot.registerClass("Telerik.Web.UI.Scheduler.Views.Timeline.GroupedByResource.TimeSlot",Telerik.Web.UI.Scheduler.Views.Timeline.TimeSlot);

